import request from '@/utils/request'

// 查询cmc分包合同评审列表
export function listSubContract(query) {
  return request({
    url: '/oa/subContract/list',
    method: 'get',
    params: query
  })
}

// 查询cmc分包合同评审详细
export function getSubContract(subContractId) {
  return request({
    url: '/oa/subContract/' + subContractId,
    method: 'get'
  })
}

// 新增cmc分包合同评审
export function addSubContract(data) {
  return request({
    url: '/oa/subContract',
    method: 'post',
    data: data
  })
}

// 修改cmc分包合同评审
export function updateSubContract(data) {
  return request({
    url: '/oa/subContract',
    method: 'put',
    data: data
  })
}

// 删除cmc分包合同评审
export function delSubContract(subContractId) {
  return request({
    url: '/oa/subContract/' + subContractId,
    method: 'delete'
  })
}


// 查询分包合同统计
export function getSubContractStatistic(query) {
  return request({
    url: '/oa/subContract/statistic',
    method: 'get',
    params: query
  })
}
